---
title: "Retrieves a Flight based on flight-id"
url: "https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24/operations/flightById"
---

> Full API specification: https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24.md

# Retrieves a Flight based on flight-id

`GET` `/flights/{id}`

Operation ID: `flightById`

## Path parameters

- `id` (string, required) - Unique numeric id of flight

## Header parameters

- `Accept` (string, required) - Only 'application/json' is allowed

## Responses

- `200` - OK
- `400` - Bad request
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Schiphol Public Flight API
  version: 4.2.0
servers:
  - url: https://{environment}.schiphol.nl/public/public-flights/v4
    variables:
      environment:
        enum:
          - api
          - api-acc
        default: api
paths:
  /flights/{id}:
    get:
      summary: Retrieves a Flight based on flight-id
      operationId: flightById
      parameters:
        - $ref: "#/components/parameters/AcceptHeader"
        - name: id
          in: path
          description: Unique numeric id of flight
          required: true
          schema:
            pattern: ^[0-9]+$
            type: string
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Flight"
        "400":
          description: Bad request
          content: {}
        "404":
          description: Not Found
          content: {}
security:
  - bearerAuth: []
components:
  parameters:
    AcceptHeader:
      name: Accept
      in: header
      description: Only 'application/json' is allowed
      required: true
      style: simple
      schema:
        type: string
        example: application/json
  schemas:
    Flight:
      type: object
      properties:
        lastUpdatedAt:
          type: string
          format: date-time
        actualLandingTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        actualOffBlockTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        aircraftRegistration:
          type: string
        aircraftType:
          $ref: "#/components/schemas/AircraftTypeType"
        baggageClaim:
          $ref: "#/components/schemas/BaggageClaimType"
        checkinAllocations:
          $ref: "#/components/schemas/CheckinAllocationsType"
        codeshares:
          $ref: "#/components/schemas/CodesharesType"
        estimatedLandingTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedTimeBoarding:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedTimeGateClosing:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedTimeGateOpen:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedTimeOnBelt:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedSecurityFilter:
          type: string
          description: expected security filter
        flightDirection:
          type: string
          enum:
            - A
            - D
        flightName:
          type: string
        flightNumber:
          type: integer
          format: int64
        gate:
          type: string
        pier:
          type: string
        id:
          type: string
        isOperationalFlight:
          type: boolean
        mainFlight:
          type: string
        prefixIATA:
          type: string
        prefixICAO:
          type: string
        airlineCode:
          type: integer
          format: int64
        publicEstimatedOffBlockTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        publicFlightState:
          $ref: "#/components/schemas/PublicFlightStateType"
        route:
          $ref: "#/components/schemas/RouteType"
        scheduleDateTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        scheduleDate:
          type: string
          description: yyyy-MM-dd
          format: date
        scheduleTime:
          type: string
          description: hh:mm:ss
        serviceType:
          type: string
          description: "The service type category of the commercial flight. For example: J
            = Passenger Line, C=Passenger Charter, F = Freight Line and H =
            Freight Charter etc."
        terminal:
          type: integer
          format: int64
        transferPositions:
          $ref: "#/components/schemas/TransferPositionsType"
        schemaVersion:
          type: string
    AircraftTypeType:
      type: object
      properties:
        iataMain:
          type: string
        iataSub:
          type: string
    BaggageClaimType:
      type: object
      properties:
        belts:
          type: array
          items:
            type: string
    CheckinAllocationsType:
      type: object
      properties:
        checkinAllocations:
          type: array
          items:
            $ref: "#/components/schemas/CheckinAllocationType"
        remarks:
          $ref: "#/components/schemas/RemarksType"
    CodesharesType:
      type: object
      properties:
        codeshares:
          type: array
          items:
            type: string
    PublicFlightStateType:
      type: object
      properties:
        flightStates:
          type: array
          items:
            type: string
    RouteType:
      type: object
      properties:
        destinations:
          type: array
          items:
            type: string
        eu:
          type: string
          description: S (Schengen), E (Europe) or N (non-Europe)
        visa:
          type: boolean
          description: Indicates if a visum is required for destination
    TransferPositionsType:
      type: object
      properties:
        transferPositions:
          type: array
          items:
            type: integer
            format: int64
    CheckinAllocationType:
      type: object
      properties:
        endTime:
          type: string
          format: date-time
        rows:
          $ref: "#/components/schemas/RowsType"
        startTime:
          type: string
          format: date-time
    RemarksType:
      type: object
      properties:
        remarks:
          type: array
          items:
            type: string
    RowsType:
      type: object
      properties:
        rows:
          type: array
          items:
            $ref: "#/components/schemas/RowType"
    RowType:
      type: object
      properties:
        position:
          type: string
        desks:
          $ref: "#/components/schemas/DesksType"
    DesksType:
      type: object
      properties:
        desks:
          type: array
          items:
            $ref: "#/components/schemas/DeskType"
    DeskType:
      type: object
      properties:
        checkinClass:
          $ref: "#/components/schemas/CheckinClassType"
        position:
          type: integer
          format: int64
    CheckinClassType:
      type: object
      properties:
        code:
          type: string
        description:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
```
